Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Class DefaultTestRunner

    java.lang.Object
      com.sun.javatest.TestRunner
          com.sun.javatest.DefaultTestRunner

    public class DefaultTestRunner

extends TestRunner

Traditional implementation of the test execution engine which has been used throughout the JT Harness 2.x harness. It supplies all the basic for creating threads for each test, running the `Script`, and handling timeouts.

Constructor Summary
`DefaultTestRunner()`

Method Summary
`boolean` | `runTests(java.util.Iterator testIter)` Run the tests obtained from an iterator.

Methods inherited from class com.sun.javatest.TestRunner
`getBackupPolicy, getConcurrency, getEnvironment, getExcludedTestCases, getExcludeList, getTestSuite, getWorkDirectory, notifyFinishedTest, notifyStartingTest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTestRunner

    public DefaultTestRunner()

Method Detail

### runTests

    public boolean runTests(java.util.Iterator testIter)
                     throws java.lang.InterruptedException

  Description copied from class: `TestRunner`
  Run the tests obtained from an iterator. The iterator returns TestDescription objects for the tests that have been selected to be run. The iterator supports the standard hasNext() and next() methods; it does not support remove(), which throws UnsupportedOperationException. Each test description gives the details of the test to be run. As each test is started, the implementation of this method must create a new TestResult object and call `TestRunner.notifyStartingTest(com.sun.javatest.TestResult)`. When the test completes (however it completes) the implementation of this method must call `TestRunner.notifyFinishedTest(com.sun.javatest.TestResult)`.

  Specified by:
    `runTests` in class `TestRunner`
  Parameters:
    `testIter` - the iterator to be used to obtain the tests to be run
  Returns:
    true if and only if all the tests executed successfully and passed
  Throws:
    `java.lang.InterruptedException` - if the test run was interrupted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.